Indexes   

Face (Object)

2-D boundary.
Role: This Boundary object may be, for example, the lateral face of cylinder.
You will create a Face object using the Shapes.GetBoundary , HybridShapes.GetBoundary , Sketches.GetBoundary or Selection.SelectElement2 method. Then, you pass it to the operator (such as ShapeFactory.AddNewFaceFillet ).
The lifetime of a Face object is limited, see Boundary.
See also:
PlanarFace , CylindricalFace .
Example:
This example asks the end user to select two faces, and creates a face-face fillet on these faces:
 Dim InputObjectType(0)
 Set Document = CATIA.ActiveDocument
 Set Selection = Document.Selection
 'We propose to the user that he select the first face
 InputObjectType(0)="Face"
 Status=Selection.SelectElement2(InputObjectType,"Select the first face",true)
 if (Status = "cancel") then Exit Sub
 Set FirstFace = Selection.Item(1).Value
 Selection.Clear
 'We propose to the user that he select the second face
 InputObjectType(0)="Face"
 Status=Selection.SelectElement2(InputObjectType,"Select the second face",true)
 if (Status = "cancel") then Exit Sub
 Set SecondFace = Selection.Item(1).Value
 Set FaceFillet = ShapeFactory.AddNewFaceFillet(FirstFace,SecondFace,5.0)
 Document.Part.Update  
 


Copyright © 2006, Dassault Systèmes. All rights reserved.